﻿angular.module("umbraco.resources")
    .factory("memberExportBackofficeResources", function ($http) {
        return {
            //LicenseInfo
            getLicenseInfo: function () {
                return $http.get("backoffice/memberexport/memberexportapi/licenseinfo");
            },
            //export
            initializeForm: function (id) {
                return $http.get("backoffice/memberexport/memberexportapi/initialize", { params: { id: id } });
            },
            initializeFilterOptions: function (memberType) {
                return $http.get("backoffice/memberexport/memberexportapi/getfilterconfiguration", { params: { memberType: memberType } });
            },
            addFilterRow: function (model) {
                return $http.post("backoffice/memberexport/memberexportapi/addFilterRow", model);
            },
            updateModel: function (model) {
                return $http.post("backoffice/memberexport/memberexportapi/updatemodel", model);
            },
            saveModel: function (model) {
                return $http.post("backoffice/memberexport/memberexportapi/save", model);
            },
            exportData: function (model) {
                return $http.post("backoffice/memberexport/memberexportapi/export", model);
            },
            getExportUrl: function(id) {
                return "backoffice/memberexport/memberexportapi/doexport?id="+id;
            },
            //General
            deleteTreeNodeById: function (id) {
                return $http.get("backoffice/memberexport/memberexporttreeapi/deleteTreeNode", { params: { id: id } });
            }
        };
    });